%define upstream_name    Catalyst-Plugin-Setenv
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Allows you to set up the environment from Catalyst's config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(FindBin)
BuildRequires: perl(NEXT)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.30.0-11.mga10
+ Revision: 2197741
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-10.mga9
+ Revision: 1802234
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-9.mga8
+ Revision: 1493458
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1265969
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1023390
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 938887
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 740989
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 509755
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 364064
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 40299
- mageia rebuild
- imported package perl-Catalyst-Plugin-Setenv

